Bem-vindo, Visitante
Nome do utilizador: Senha: Memorizar
  • Página:
  • 1
  • 2

TÓPICO: Instalação em Debian

Instalação em Debian 6 anos 4 meses atrás #11

  • srcsantos
  • Avatar de srcsantos
  • DESLIGADO
  • Mensagens: 27
  • Obrigado recebido 5
Sou um profissional independente e tenho vindo a utilizar o Projecto Colibri há uns meses. Estou bastante satisfeito com a aplicação e considero seriamente adquirir uma licença.
Até agora tinha usado a versão x64, mas apenas vejo uma versão para download, e ao tentar corrê-la, dá-me um erro que me faz suspeitar que seja apenas compatível com x86, e portanto incompatível com o meu sistema.
O meu sistema é o Debian Squeeze x64, e antes do upgrade tudo estava a funcionar bem com o programa.
Este erro surge-me numa janela popup.
JVM terminated. Exit code=13
/usr/bin/java
-jar /home/srcsantos/applications/Colibri/plugins/org.eclipse.equinox.launcher_1.1.0.v20100507.jar
-os linux
-ws gtk
-arch x86
-showsplash
-launcher /home/srcsantos/applications/Colibri/RCPcolibri
-name RCPcolibri
--launcher.library /home/srcsantos/applications/Colibri/plugins/org.eclipse.equinox.launcher.gtk.linux.x86_1.1.1.R36x_v20100810/eclipse_1309.so
-startup /home/srcsantos/applications/Colibri/plugins/org.eclipse.equinox.launcher_1.1.0.v20100507.jar
-exitdata 738021
-vm /usr/bin/java
-vmargs
-jar /home/srcsantos/applications/Colibri/plugins/org.eclipse.equinox.launcher_1.1.0.v20100507.jar
Este erro surge na linha de comandos:
/usr/lib/gio/modules/libgvfsdbus.so: wrong ELF class: ELFCLASS64
Failed to load module: /usr/lib/gio/modules/libgvfsdbus.so
A versão de gvfs que tenho instalada no sistema é a 1.6.4-2.
Estou à disposição dos developers deste projecto, caso precisem de uma "cobaia".
Última Edição: 6 anos 4 meses atrás por srcsantos.
O adminstrador desactivou a escrita pública.
The following user(s) said Thank You: marcolopes

Instalação em Debian 6 anos 4 meses atrás #36

  • srcsantos
  • Avatar de srcsantos
  • DESLIGADO
  • Mensagens: 27
  • Obrigado recebido 5
Consegui fazer iniciar o Colibri 6, e até concluir a actualização da base de dados com sucesso, mas surgem vários problemas:
- uma vez que o plugin "org.eclipse.equinox.launcher.gtk.linux" é a versão x86, o aspecto do interface não é bom;
- substituir o plugin pela versão x86_64, causa um erro com a mensagem "The RCPcolibri executable launcher was unable to locate its companion shared library.";
- com qualquer pacote openjdk instalado, o programa retorna os erros referidos no post anterior, pelo que é necessário desinstalar todos esses pacotes;
- desinstalar os pacotes openjdk faz com que as outras aplicações java instaladas no sistema deixem de funcionar, nomeadamente rssowl e ecplise.

Mesmo conseguindo efectuar o login, recebo depois uma mensagem de erro, e no log surgem referências a incompatibilidades entre o ambiente 64bit e a aplicação 32bit... (o log segue em anexo)
Assim sendo vou ser forçado a regressar à versão 5.

Só não compreendo (e lamento) que seja já esta a segunda ocasião em que tento comunicar com os developers deste projecto para reportar problemas e as informações/soluções que encontro, e não recebo qualquer resposta.

Ficheiro anexado:

Nome do Ficheiro: log.gz
Tamanho do Ficheiro: 4305
Anexos:
Última Edição: 6 anos 4 meses atrás por srcsantos.
O adminstrador desactivou a escrita pública.

Instalação em Debian 6 anos 4 meses atrás #57

  • smgomes
  • Avatar de smgomes
  • DESLIGADO
  • Mensagens: 90
  • Obrigado recebido 6
srcsantos escreveu:
Consegui fazer iniciar o Colibri 6, e até concluir a actualização da base de dados com sucesso, mas surgem vários problemas:
- uma vez que o plugin "org.eclipse.equinox.launcher.gtk.linux" é a versão x86, o aspecto do interface não é bom;
- substituir o plugin pela versão x86_64, causa um erro com a mensagem "The RCPcolibri executable launcher was unable to locate its companion shared library.";
- com qualquer pacote openjdk instalado, o programa retorna os erros referidos no post anterior, pelo que é necessário desinstalar todos esses pacotes;
- desinstalar os pacotes openjdk faz com que as outras aplicações java instaladas no sistema deixem de funcionar, nomeadamente rssowl e ecplise.

Mesmo conseguindo efectuar o login, recebo depois uma mensagem de erro, e no log surgem referências a incompatibilidades entre o ambiente 64bit e a aplicação 32bit... (o log segue em anexo)
Assim sendo vou ser forçado a regressar à versão 5.

Boa tarde,
o problema que reporta está em analise desde o seu 1º post. Qualquer dúvida aqui colocada não fica sem resposta, em questões mais elaboradas o tempo de resposta pode oscilar e damos prioridade a clientes com contractos de assistência como deve compreender que neste momento estão a migrar para a versão 6.0.
A versão Projecto Colibri RCP 6 foi compilada numa máquina 32bits com Java 32bits (Linux) para correr em ambiente 64bits necessitamos de configurar o ambiente de desenvolvimento p/ 64 bits e "exportar" a aplicação, dentro em breve iremos disponibilizar o Projecto Colibri RCP 6 64 bits p/ ambiente Linux.
Agradecemos desde já a disponibilidade demonstrada no 1º post.
Cumprimentos.
Sérgio Gomes
Programador
@Java - Rich Client Platform
@Business Intelligence and Reporting Tools
Última Edição: 3 anos 5 dias atrás por marcolopes.
O adminstrador desactivou a escrita pública.

Instalação em Debian 6 anos 4 meses atrás #61

  • srcsantos
  • Avatar de srcsantos
  • DESLIGADO
  • Mensagens: 27
  • Obrigado recebido 5
Não pretendi ofender ninguém, mesmo porque "a cavalo dado não se olha o dente".
Aquela observação, no entanto, não se referia ao primeiro post, mas a uma mensagem que enviei directamente por email há alguns meses, relatando um problema que me surgiu e a solução que encontrei. De qualquer forma, já lá vai. :)
Última Edição: 6 anos 4 meses atrás por srcsantos.
O adminstrador desactivou a escrita pública.

Instalação em Debian 6 anos 4 meses atrás #62

  • smgomes
  • Avatar de smgomes
  • DESLIGADO
  • Mensagens: 90
  • Obrigado recebido 6
srcsantos escreveu:
Não pretendi ofender ninguém, mesmo porque "a cavalo dado não se olha o dente".
Aquela observação, no entanto, não se referia ao primeiro post, mas a uma mensagem que enviei directamente por email há alguns meses, relatando um problema que me surgiu e a solução que encontrei. De qualquer forma, já lá vai. :)

Boa tarde,
pedimos desculpas se não obteve resposta via email, de qualquer das formas em relação a este problema, dentro em breve iremos disponibilizar a versão 64 bits.
Cumprimentos.
Sérgio Gomes
Programador
@Java - Rich Client Platform
@Business Intelligence and Reporting Tools
O adminstrador desactivou a escrita pública.

Instalação em Debian 6 anos 3 meses atrás #210

Boa tarde,
Têm alguma previsão para a disponibilidade da versão 64 bits?
Cumprimentos.
O adminstrador desactivou a escrita pública.
  • Página:
  • 1
  • 2
Moderadores: marcolopes